2 Replies Latest reply on Jan 9, 2018 10:42 PM by neomatrix1217

    Upgrading NPM and additional modules

    lucas.martin

      I am going to be doing an upgrade in a couple of weeks to NPM and all of our modules. A little background: I have our main Orion server/database with the following:
      Orion Platform 2016.2.100, NCM 7.5.1, WPM 2.2.1, IPAM 4.3.2, IVIM 2.1.2, NetPath 1.0.1, UDT 3.2.4, VNQM 4.2.4, DPA 10.2.0, NPM 12.0.1, QoE 2.2.0, SAM 6.3.0, NTA 4.2.1. Have a separate database for our Netflow storage and both servers meet the requirements for upgrade. I also have 4 polling engines.  My question is, do I only need to run the single file installer on the main orion server and wam bam, all done? Is there something else I should be doing? Anything on the pollers? upgrading anything individually first? Running one file and waiting a few hours seems too easy. I've looked through the checklist but I'll likely look through it again as I'm still a bit confused on this installer.

        • Re: Upgrading NPM and additional modules
          serena

          Upgrade your main primary first, and then handle your scalability engines (e.g. polling engines). Your Netflow storage database upgrade will need a separate installer. Are you interested in doing a dev assisted upgrade with us for this upgrade?

          • Re: Upgrading NPM and additional modules
            neomatrix1217

            Lucas,

             

            Download the NPM 12.2 online installer from the customer portal and upgrade your main poller first the new installer will check your compatibility and upgrade all your applications to the newest versions including the latest hotfixes. Once your primary poller has been updated to the latest versions upgrade your additional poller's by downloading the installer file from the web console under polling engines this small install will ask you for the IP of your primary server and your SolarWinds credentials and then will download all the modules from the primary poller to the additional poller do this for all your APE's as serena stated in the customer portal you will need to download the NTA installer to upgrade the FSDB.

            1 of 1 people found this helpful